Support » Plugin: Simple Twitter Connect » STC 0.15 and WP 3.2.1 incompatible?

  • Resolved nuroweb

    (@nuroweb)


    Hello,

    I just installed this on a new WP 3.2.1 French with a custom theme.

    “Simple Twitter Connect – Base” is activated, configured and seems to work fine.

    Same for “STC – Publish”.

    I also wanted to use “STC – Comments” to allow people to use their twitter account to login and leave comments on blog post, but the button doesn’t show up.

    I tried to install the “STC – Followers Widget”, but it returns the folowing error:

    “Warning: shuffle() expects parameter 1 to be array, object given in /home/username/public_html/blogue/wp-content/plugins/simple-twitter-connect/stc-followers.php on line 135” 3 times and says “0 Followers”. It’s a new accoutn, but there’s 2 folowers.

    I tried to install “STC – Tweet Button”, but the button doesn’t show up wether I set it up in the admin or with one of the folowing lines:

    “<?php echo do_shortcode(‘[tweetbutton]’); ?>”
    “<?php echo stc_tweetbutton() ?>”
    “<?php stc_tweetbutton() ?>”

    Are the problematic plugins not compatible with WP 3.2.1? I am running the official French release.

    Thanks!

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    The followers widget is not incompatible, it’s just buggy. I don’t recommend using it for now. I use it, and it works most of the time, but it needs some more work.

    Plugin Author Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    Also, if the twitter button doesn’t show up on comments, then your theme may not be using the comment_form() function call. See the FAQ for how to edit your theme manually.

    Plugin Author Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    Well, you had a lot of questions in one post.

    The tweetbutton requires that your theme contain the proper wp_head() and wp_footer() calls. Be sure those exist in the theme.

    In short, try with the default theme. If it works, then your theme is the culprit.

    Otto,

    Thanks for your quick answer!

    Ok for the folowers widget, we’ll wait for a future version of the wiedget.

    For the comments button, thanks for the heads up on the various functions needed. I’ll check that out on Monday and let you know if I still have issues.

    Thanks!

    Otto,

    Good catch for the comments_form(), the theme was using comments_template().

    I had forgotten the wp_footer(). Thanks for that!

    The only issue I’m having is that comments_template() displayed both the posted comments and the comments form. comments_form() does only the form. I tried to add wp_list_comments(), but it displays nothing. have_comments() returns false. I know this is a WP question rather than a plugin question, but I can’t find an explanation for this in the doc or forums. Would you have an idea?

    Plugin Author Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    No, the comments_template() is an okay function to call, as that’s what makes it include the theme’s comments.php file. The comment_form() function call will be inside that comments.php file.

    You do need comments_template(). Examine the default theme’s, see how they do it.

    Thanks for the lead. My theme actually didn’t have a comments.php, I’m not sure what comments_template() was calling. I copid the one from twentyeleven over and it works fine now: your plugins’ twitter button, the form and the comments list. Thanks!

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘STC 0.15 and WP 3.2.1 incompatible?’ is closed to new replies.